#
# spec file for package netcontrol
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           netcontrol
Version:        0.3.1
Release:        2.5
Summary:        A network configuration library
License:        LGPL-2.1+
Group:          Productivity/Networking/System
#
# License note:
# libnetcontrol contains source code which is based on wicked.
# Wicked is licensed under the GPL-2.0+, but permission has been
# granted by the authors of wicked to use the code derived from
# wicked under the LGPL-2.1+ in libnetcontrol.
#
Source0:        %{name}-%{version}.tar.bz2
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} >= 1310
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libnl3-devel
BuildRequires:  libtool
%else
%if 0%{?suse_version} >= 1210
BuildRequires:  libnl-1_1-devel
%else
BuildRequires:  libnl-devel
%endif
%endif
BuildRequires:  pkg-config
%if 0%{?suse_version} >= 1230
Requires:       sysconfig >= 0.80.0
%else
Requires:       sysconfig >= 0.71.0
%endif

%description
A interim network configuration library, currently implementing the
libnetcf interface for libvirt.



Authors:
--------
    Olaf Kirch <okir@suse.de>
    Marius Tomaschewski <mt@suse.de>

%package -n     libnetcontrol0

Summary:        A network configuration library
Group:          Productivity/Networking/System

%description -n libnetcontrol0
A interim network configuration library, currently implementing the
libnetcf interface for libvirt.

The libnetcontrol0 package provides the shared library.



Authors:
--------
    Olaf Kirch <okir@suse.de>
    Marius Tomaschewski <mt@suse.de>

%package -n     libnetcontrol-devel

Summary:        Development header and library files
Group:          Development/Libraries/C and C++
Requires:       libnetcontrol0 = %{version}

%description -n libnetcontrol-devel
A interim network configuration library, currently implementing the
libnetcf interface for libvirt.

The libnetcontrol-devel package contains libraries and header files
required for development.



Authors:
--------
    Olaf Kirch <okir@suse.de>
    Marius Tomaschewski <mt@suse.de>

%prep
%setup -q

%build
export CFLAGS="-W -Wall $RPM_OPT_FLAGS"
%configure \
%if 0%{?suse_version} >= 1230
	--enable-network-service \
%endif
	--enable-pthreads \
	--disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post -n libnetcontrol0
/sbin/ldconfig

%postun -n libnetcontrol0
/sbin/ldconfig

%files -n libnetcontrol0
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n libnetcontrol-devel
%defattr(-,root,root,-)
%doc README COPYING.LGPL COPYING.GPL ChangeLog.git
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/pkgconfig/netcontrol.pc

%changelog
* Fri May 20 2016 mt@suse.de
- version 0.3.1
- filter devices not supported by libvirt API (fate#320557)
  [- 0001-blacklist-ifcfg-files-ending-in-.orig-or-tilde-bnc-8.patch]
* Tue Sep  2 2014 ro@suse.de
- sanitize release line in specfile
* Tue May  6 2014 mt@suse.de
- blacklist ifcfg files ending in .orig or tilde (bnc#871600)
  [+ 0001-blacklist-ifcfg-files-ending-in-.orig-or-tilde-bnc-8.patch]
* Fri Jan 10 2014 mt@suse.de
- version 0.3.0
- Added libnl version configure option and detection
- Obsoletes 0002-allow-wicked.patch, 0001-use-libnl3.patch
* Tue Dec 17 2013 mt@suse.de
- Applied a minimal 0002-allow-wicked.patch to accept wicked
  as the network service (fate#316768).
- Renamed libnl3.patch to 0001-use-libnl3.patch
* Fri Oct 25 2013 idonmez@suse.com
- Add libnl3.patch to build with libnl3 open openSUSE 13.1+, this
  fixes bnc#845540
* Tue Mar 26 2013 mt@suse.de
- version 0.2.8
- Added ChangeLog.git to dist archive and to devel package docs.
- Fixed ncf_close to not close logger as ncf_init did not open any.
  This caused SEGV's in libvirt, that redirects the global logger
  to itself and is using multiple ncf instances (bnc#811002).
- Fixed pthreads detection and source enablement in configure,
  added an explicit configure --enable-pthreads option to spec
  file to cause a failure on detection problems (bnc#811002).
- Fixed SEGV at parsing not existing BRIDGE_PATHCOSTS and memory
  leaks in in loop check, xml parsing and on backup file creation
  failure while routes file rewrite (bnc#810381).
* Fri Jan 25 2013 mt@suse.de
- version 0.2.7
- Fixed a bridge variable initialization in try_bridge
- Use --enable-network-service on openSUSE >= 12.3 (bnc#798348)
- Check the network.service alias link instead of NETWORKMANAGER
  variable in /etc/sysconfig/network/config, when requested by
  the --enable-network-service configure option.
* Tue Jul  3 2012 mt@suse.de
- version 0.2.6
- Merged spec file changes from openSUSE:Factory
- Fixed libnl-devel build requires to build on 12.1
- Updated FSF address in copyright/license statements
* Mon Jul  2 2012 mt@suse.de
- version 0.2.5
- Fixed several bugs reported in bnc#760500, bnc#763388,
  bnc#765040, bnc#754001:
  - Fetch ip addresses and routes in system refresh via
    netlink, adds libnl-1 dependency to libnetcontrol.
  - Do not use -o rc for ifup or it fails when startmode
    is set to manual.
  - Always call ifstatus in ncf_if_status and not check
    interface operstate to better match ifstatus results
  - Check type while creating topology tree as well, not
    only if the interface specific data exists.
  - Do not report error in ncf_if_xml_state when interface
    does not exists any more [has been stopped/removed].
  - Improved error handling, report several errors once
  - Expose a lot of error details to the caller
  - Fixed to parse and configure complete interface trees
    and fixed a senseless type check that caused SEGV.
  - Fetch mac address from system when not in the config
  - Fixed arp ip target bonding option handling and expose
    errors while trying to add not unique slave interface.
  - Refresh config handle earlier in ncf_define, fixed a
    double free in regression test it does.
  - Automatically start port/slave/base interfeces when
    stating a bridge/bond/vlan.
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Wed Dec  7 2011 mt@suse.com
- Lowered bad_reference (bridge config references an unknown
  interface) log level to warning (bnc#735187).
* Tue Sep 27 2011 mt@suse.de
- version 0.2.4
- Fixed writing of bonding slaves into ifcfg file
- Fixed a memory leak while netcf xml generation error
- Generate complete interface chanins, do not generate
  type attribute in vlan interface reference xml node
  (bnc#708398).
* Fri Sep  9 2011 cfarrell@suse.com
- license update: LGPL-2.1+
  SPDX syntax. See http://www.spdx.org/licenses
* Thu Sep  8 2011 mt@suse.de
- Fixed to include config.h to have _GNU_SOURCE defined
* Fri Aug 26 2011 mt@suse.de
- version 0.2.3, cleaning up copyright statements in source, header
  and other files, adding authorization notes about use of GPL code
  from wicked project inside of the LGPL libnetcontrol library and
  a short README and COPYING files (bnc#713519).
* Wed Aug 17 2011 dmueller@suse.de
- add baselibs.conf to sources
* Tue Jul 12 2011 mt@suse.de
- version 0.2.2, with several fixes (fate#306765):
  Change to use bus-id for bonding slave udev rules,
  fixed / tweaked infiniband and vlan configuration,
  fixed deletion to not remove unrequested configs,
  set close-on-exec flag for all files we open.
* Wed Jul  6 2011 mt@suse.de
- version 0.2.1, fixing config cleanup of depending interfaces
  while configure and delete action, ifup and ifdown actions,
  adding several checks and removing patch level from the API
  version (fate#306765).
* Fri Jul  1 2011 mt@suse.de
- A first write-enabled version 0.2.0, added hook to redirect log
  messages e.g. to the libvirtd log routines (fate#306765).
* Thu Jun 16 2011 mt@suse.de
- Initial package (fate#306765)
